Author Topic: UI problems with GTK interface in 2.6.X  (Read 1976 times)

hobbes1069

  • Jr. Member
  • **
  • Posts: 51
UI problems with GTK interface in 2.6.X
« on: December 25, 2012, 08:44:10 PM »
I have a bug report[1] from a use on RPM Fusion and I've been able to reproduce it. Basically two combo boxes seem to have errors in the gui:

1. First button in Audio Output is not diplayed correctly and unusable
2. Button at the rigth of Calculator is not diplayed correctly and unusable too

I get the following output in the console:

 [HandleAction]  ************ VIDEO_CODEC_CHANGED **************
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [HandleAction]  ************ AUDIO_CODEC_CHANGED **************
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [audioCodecSetByIndex]  Cannot set codec for track 0
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [HandleAction]  ************ AUDIO_CODEC_CHANGED **************
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [audioCodecSetByIndex]  Cannot set codec for track 0

Any ideas?

Thanks,
Richard

[1] https://bugzilla.rpmfusion.org/show_bug.cgi?id=2575#c11

hobbes1069

  • Jr. Member
  • **
  • Posts: 51
Re: UI problems with GTK interface in 2.6.X
« Reply #1 on: January 10, 2013, 06:54:24 PM »
Is anyone else able to reproduce this problem?

Thanks,
Richard

didierg

  • Newbie
  • *
  • Posts: 1
Re: UI problems with GTK interface in 2.6.X
« Reply #2 on: January 30, 2013, 01:15:58 AM »
Same problem for me runing 2.6.1 on Fedora 18

Code: [Select]
$ rpm -qa avidemux\*
avidemux-qt-2.6.1-1.fc18.x86_64
avidemux-help-2.6.1-1.fc18.noarch
avidemux-2.6.1-1.fc18.x86_64
avidemux-libs-2.6.1-1.fc18.x86_64
avidemux-gtk-2.6.1-1.fc18.x86_64

Code: [Select]
$ avidemux3_gtk
Directory /home/azerty/.avidemux6/ exists.Good.
Using /home/azerty/.avidemux6/ as base directory for prefs, jobs, etc.
*************************
  Avidemux v2.6.1
*************************
 http://www.avidemux.org
 Code      : Mean, JSC, Grant Pedersen
 GFX       : Nestor Di, nestordi@augcyl.org
 Design    : Jakub Misak
 FreeBSD   : Anish Mistry, amistry@am-productions.biz
 Audio     : Mihail Zenkov
 Mac OS X  : Kuisathaverat, Harry van der Wolf
 Win32     : Grant Pedersen

Compiler: GCC 4.7.2 20121109 (Red Hat 4.7.2-8)
Build Target: Linux (x86-64)
User Interface: GTK+ (3.6.4)

---/---

Trying :</usr/lib64/ADM_glade//main/gtk2_build.gtkBuilder>

(avidemux3_gtk:7595): Gtk-WARNING **: Unknown property: GtkGrid.n-columns

(avidemux3_gtk:7595): Gtk-WARNING **: Unknown property: GtkGrid.n-rows

(avidemux3_gtk:7595): Gtk-WARNING **: Unknown property: GtkGrid.n-columns
[admGlade] Cannot locate widget jogg

(avidemux3_gtk:7595): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(avidemux3_gtk:7595): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
 [HandleAction]  ************ VIDEO_CODEC_CHANGED **************
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [HandleAction]  ************ AUDIO_CODEC_CHANGED **************
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [audioCodecSetByIndex]  Cannot set codec for track 0
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [HandleAction]  ************ AUDIO_CODEC_CHANGED **************
  [wrapGetCurrent]  Out of range for widget comboboxAudio
  [audioCodecSetByIndex]  Cannot set codec for track 0
---/---

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 9676
Re: UI problems with GTK interface in 2.6.X
« Reply #3 on: January 30, 2013, 06:57:53 PM »
Lack of manpower to work on the GTK version